> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Data Source Schemas > Returns a list of schemas for a specified data source ## OpenAPI ````json GET /api/v1/Catalog/data-sources/{dataSourceId}/schemas { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Catalog/data-sources/{dataSourceId}/schemas": { "get": { "tags": [ "Catalog" ], "summary": "Get Data Source Schemas", "description": "Returns a list of schemas for a specified data source", "parameters": [ { "name": "dataSourceId", "in": "path", "description": "The data source in which the schemas are located", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceSchemas" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.DataSourceSchemas": { "title": "DataSourceSchemas", "type": "object", "properties": { "dataSource": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceSummary" }, "schemas": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.SchemaSummary" }, "description": "Summaries for all schemas of the specified data source" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataSourceSummary": { "title": "DataSourceSummary", "type": "object", "properties": { "dataSourceName": { "type": "string", "description": "The name of the data source", "nullable": true }, "dataSourceId": { "type": "integer", "description": "The ID of the data source", "format": "int32" }, "dataSourceServer": { "type": "string", "description": "The name of the data source server", "nullable": true }, "dataSourceDatabase": { "type": "string", "description": "The name of the data source database", "nullable": true }, "includeInTrustScore": { "type": "boolean", "description": "Whether the data source is included in the trust score" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.SchemaSummary": { "title": "SchemaSummary", "type": "object", "properties": { "schemaName": { "type": "string", "description": "The name of the schema", "nullable": true }, "schemaId": { "type": "integer", "description": "The ID of the schema", "format": "int32" }, "includeInTrustScore": { "type": "boolean", "description": "Whether the schema is included in the trust score" } }, "additionalProperties": false } } } } ````